Subject: Last Call: <draft-ietf-tsvwg-iana-ports-09.txt>(InternetAssigned Numbers Authority (IANA) Procedures for theManagementof the Service Name and Transport Protocol PortNumberRegistry) to BCP

From: "t.petch" <[email-masked]>
Date: Wed, 16 Feb 2011 12:22:36 +0100

----- Original Message -----
From: "t.petch" <[email-masked]>
To: "Cullen Jennings" <[email-masked]>; "Christian Huitema"
<[email-masked]>
Cc: "IETF discussion list" <[email-masked]>; <[email-masked]>; "IESG IESG"
<[email-masked]>
Sent: Wednesday, February 16, 2011 12:13 PM
Subject: Re: Last Call: <draft-ietf-tsvwg-iana-ports-09.txt>(InternetAssigned
Numbers Authority (IANA) Procedures for theManagementof the Service Name and
Transport Protocol PortNumberRegistry) to BCP

>
> ---- Original Message -----
> From: "Cullen Jennings" <[email-masked]>
> To: "Christian Huitema" <[email-masked]>
> Cc: <[email-masked]>; "Paul Hoffman" <[email-masked]>; "Chris Benson"
> <[email-masked]>; "IESG IESG" <[email-masked]>; "Sam Hartman"
> <[email-masked]>; "IETF discussion list" <[email-masked]>
> Sent: Wednesday, February 16, 2011 5:31 AM
> >
> > I've been thinking more about this thread and my concerns about this draft.
I
> was originally looking for the draft to have advice for the expert review team
> that gave them guidance on what the IETF thought was all right to approve or
not
> approve. It's become clear that this draft does not have that advice and is
not
> likely to get it in the very short term. This BCP will empower the expert
> reviewer to reject or approve just about any request. Appeals are not the best
> way to balance putting that power because they are incredibly corrosive and
time
> consuming to everyone involved. I think this thread somewhat suggests an
> alternative approach for a check and balance.
> >
>
 Cullen

 My understanding of this draft is that Expert Review only applies when "IETF
 Review" or "IESG Approval" does not apply, so a duly approved Standards
 Track RFC trumps all Experts.

 I proposed text on 2nd February to make this clearer, and understand that this
 change was accepted.

 Where the request is not via "IETF Review" or "IESG Approval", then I have
 less concern as to what the Expert may or may not allow.

 My  text is

 "For most IETF protocols, ports in the User Ports range will be assigned under
 the "IETF Review" or "IESG Approval" procedures [RFC5226] and no further
 documentation is required.

 Where these procedures do not apply, then the requester must
 input the documentation to  the "Expert Review"
 procedure
         [RFC5226], by which IANA will have a technical expert review the
         request to determine whether to grant the assignment.  The
        submitted documentation MUST explain why using a port number in
         the Dynamic Ports range is unsuitable for the given application."

 Tom Petch

> > What do people think of the idea of: for all ports requests, the request and
> the expert reviewer reposes including reason for accepting or rejecting them
> need to be posted to a public email list. This seems like a simple way to help
> mitigate this issue and it will help educate people writing a port request to
> know what types of issues they need to address and what would be appropriate
or
> not.
> >
> > Pros & cons of this idea?
> >
> > On Feb 8, 2011, at 1:41 PM, Christian Huitema wrote:
> >
> > >> I don't see that "public identity" (of expert reviewers) is required for
> "interactive discussion".
> > >> Or would anonymous interaction fail a Turing test of some kind?
> > >
> > > Public identity is required for reviewer accountability. It is easy to
> imagine how withholding registration of some required numbers may delay a
> competitor's products. The best protection against shade is sunlight.
> > >
> > > -- Christian Huitema
> > >
> > >
>
> _______________________________________________
> Ietf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf

---

From: Cullen Jennings <[email-masked]>
Date: Wed, 16 Feb 2011 08:20:04 -0700

Sorry Tom - I should have phrased what I said more carefully. I meant to scope my comments to user ports that were not going through IETF process.